apiVersion: apps/v1
kind: Deployment
metadata:
  name: href
spec:
  replicas: 1
  selector:
    matchLabels:
      app: href
  template:
    metadata:
      labels:
        app: href
    spec:
      containers:
        - name: href
          image: bang5:5000/href_image
          ports:
          - containerPort: 10002
---
apiVersion: v1
kind: Service
metadata:
  name: href
spec:
  ports:
  - {port: 80, targetPort: 10002}
  selector:
    app: href
